### Method

# Ide Debugger emit_library_unloaded

#### Declaration

    void
    ide_debugger_emit_library_unloaded (
      IdeDebugger* self,
      IdeDebuggerLibrary* library
    )

#### Description

Emits the “library-unloaded” signal.

Debugger implementations should call this when the debugger has unloaded a library.

Available since: | 3.32

#### Parameters

`library` | `IdeDebuggerLibrary`
| An `IdeDebuggerLibrary`.
| The data is owned by the caller of the function.